{
"id": "<string>",
"type": "AGENTIC_ENROLLMENT_UPDATED",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"type": "REAP_USER",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"paymentMethod": {
"type": "CARD",
"network": "<string>",
"last4": "<string>",
"expiryMonth": 6,
"expiryYear": 0
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Notifications
Agentic enrollment updated
Fired when an Agentic Payments enrollment reaches a new status (e.g., active, failed, expired, revoked). The payload matches GET /agentic/enrollments/:id.
WEBHOOK
AGENTIC_ENROLLMENT_UPDATED
{
"id": "<string>",
"type": "AGENTIC_ENROLLMENT_UPDATED",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"type": "REAP_USER",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"paymentMethod": {
"type": "CARD",
"network": "<string>",
"last4": "<string>",
"expiryMonth": 6,
"expiryYear": 0
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}